## org.apache.tools.ant.util
Class ProcessUtil

    java.lang.Object
      org.apache.tools.ant.util.ProcessUtil

    public class ProcessUtil

extends java.lang.Object

Process Utilities

Since:
  Ant 1.9.4

Constructor Summary
`ProcessUtil()`

Method Summary
`static java.lang.String` `getProcessId(java.lang.String fallback)` provide id of the current process
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessUtil

    public ProcessUtil()

Method Detail

### getProcessId

    public static java.lang.String getProcessId(java.lang.String fallback)

  provide id of the current process

  Parameters:
    `fallback` -
  Returns:
    current process id

### main

    public static void main(java.lang.String[] args)